Skip to main content
GET
/
csr
/
data
/
{recordId}
Get a single message
curl --request GET \
  --url https://dashboard.hologram.io/api/1/csr/data/{recordId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": {
    "id": 77579133,
    "logged": "2023-01-12 16:32:57",
    "expires": "2024-01-12 16:32:57",
    "orgid": 43637,
    "deviceid": 1899495,
    "record_id": "c554d23c-9296-11ed-81bc-0242ac110002",
    "device_metadata": "{}",
    "data": "{\"authtype\": \"deviceid\", \"source\": 1899495, \"tags\": [\"_TAG_21361_\", \"_DEVICE_1899495_\", \"_IMEI_FIRST_\"], \"data\": \"eyJuZXdfaW1laSI6ICI4NjM2NTYwNDU2NTI2NjEiLCAibXNnIjogIkRldmljZSAxODk5NDk1IGZpcnN0IGF0dGFjaCB3aXRoIDg2MzY1NjA0NTY1MjY2MSJ9\", \"received\": \"2023-01-12T16:10:09+00:00\", \"record_id\": \"c554d23c-9296-11ed-81bc-0242ac110002\", \"device_id\": 1899495, \"device_name\": \"Unnamed Device (29074)\"}",
    "matched_rules": [],
    "tags": [
      "_IMEI_FIRST_",
      "_DEVICE_1899495_",
      "_TAG_21361_"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Path Parameters

recordId
string
required

Response

200 - application/json

A single message record

data
object
success
boolean

Whether the request was successful or not

Example:

true